Subject: bug#18302: MSYS2 build issues

From: Noam Postavsky <[email-masked]>
Date: Tue, 28 Nov 2017 20:46:34 -0500

close 18302 
quit

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 22 Aug 2014 16:18:11 +0200
>> From: Karol Ostrovsky <[email-masked]>
>> Cc: Ken Brown <[email-masked]>, Chris Zheng <[email-masked]>, [email-masked]
>> 
>> I will try to summarise the situation, and I am attaching my updated
>> solution proposal for this particular bug:
>> 
>> 1. MSYS2 uname must be handled properly, and that is fixed in the new
>> proposed patch.  I disagree with not renaming opsys from mingw32 to
>> mingw, since mingw32 string is used in other places in the same file
>> and it means something else there, which I find possibly confusing.
>> But this change is not in my new patch.
>> 
>> 2. -mtune is back to what it was with a minimal change required for
>> MSYS2+MinGW-w64 uname handling.
>> 
>> 3. Include path for xpm in MSYS2+MinGW-w64 is handled in the same way
>> as in Cygwin.  Perhaps, the same type of comment as was added for
>> Cygwin should be added for MSYS2+MinGW-w64.
>> 
>> 4. A loop is added in the recipe for emacs.exe to handle
>> bootstrap-emacs.exe busy problem.
>
> Thanks.  I installed items 1, 2, and 4, but not item 3.

As far as I can tell, there is nothing more to do here.